Package resources.icons

# Class UrlImageIcon

java.lang.Object
javax.swing.ImageIcon
resources.icons.LazyImageIcon
resources.icons.UrlImageIcon

All Implemented Interfaces:
  `Serializable`, `Accessible`, `Icon`, `FileBasedIcon`

public class UrlImageIcon extends LazyImageIcon
`LazyImageIcon` that is created from a URL to an icon file.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.ImageIcon

  `ImageIcon.AccessibleImageIcon`

- ## Field Summary

  ### Fields inherited from class javax.swing.ImageIcon

  `component, tracker`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UrlImageIcon(String path, URL url)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Image`
  `createImage()`
  `protected ImageIcon`
  `createImageIcon()`
  `boolean`
  `equals(Object obj)`
  `String`
  `getOriginalPath()`
  Returns the original path that was used to generate the URL (e.g.
  `URL`
  `getUrl()`
  Returns the URL that was used to create this icon
  `int`
  `hashCode()`

  ### Methods inherited from class resources.icons.LazyImageIcon

  `getAccessibleContext, getDescription, getFilename, getIconHeight, getIconWidth, getImage, getImageLoadStatus, getImageObserver, paintIcon, setDescription, setImage, sourceIconChanged, toString`

  ### Methods inherited from class javax.swing.ImageIcon

  `loadImage, setImageObserver`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### UrlImageIcon

    public UrlImageIcon(String path, URL url)
    Constructor
    Parameters:
      `path` - the path String used to create the URL
      `url` - the `URL` to an icon resource file

- ## Method Details

  - ### getUrl

    public URL getUrl()
    Returns the URL that was used to create this icon
    Returns:
      the URL that was used to create this icon

  - ### getOriginalPath

    public String getOriginalPath()
    Returns the original path that was used to generate the URL (e.g. images/foo.png)
    Returns:
      the original path that was used to generate the URL (e.g. images/foo.png)

  - ### createImageIcon

    protected ImageIcon createImageIcon()
    Specified by:
      `createImageIcon` in class `LazyImageIcon`

  - ### createImage

    protected Image createImage()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`